Name:		msmtp
Version:	1.4.21
Release:	%mkrel 1

Summary:	An SMTP client
License:	GPLv3
Group:		System/Servers
Url:		http://msmtp.sourceforge.net/
Source0:	http://downloads.sourceforge.net/project/msmtp/msmtp/%{version}/%{name}-%{version}.tar.bz2
Source1:	msmtprc

BuildRequires:	openssl-devel >= 0:0.9.6
BuildRequires:	libgcrypt-devel >= 0:1.2.0

Provides:	sendmail-command

%description
msmtp is an SMTP client that one can use with mail user agents that 
that contain no mail transfer capability (e.g., Mutt).

Supported features:
- sendmail compatible interface (command line options and exit codes)
- SMTP AUTH methods PLAIN, LOGIN, CRAM-MD5 and EXTERNAL
  (and GSSAPI, DIGEST-MD5 and NTLM when compiled with GNU SASL support)
- TLS encrypted connections with the GnuTLS or OpenSSL libraries
  (including server certificate verification and the possibility to send
  a client certificate)
- LMTP support
- DSN (Delivery Status Notification) support
- RMQS (Remote Message Queue Starting) support (ETRN keyword)
- PIPELINING support for increased transmission speed
- IPv6 support
- support for multiple accounts

%prep
%setup -q

%build
%configure2_5x --with-ssl=openssl --disable-gsasl
%{__make}

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}/%{_sysconfdir}
cp %{SOURCE1} %{buildroot}/%{_sysconfdir}/msmtprc
chmod 644 %{buildroot}/%{_sysconfdir}/msmtprc

%find_lang %name

%post
%_install_info %{name}.info
update-alternatives \
	--install %{_sbindir}/sendmail sendmail-command %{_bindir}/msmtp 5 \
	--slave %_prefix/lib/sendmail sendmail-command-in_libdir %{_bindir}/msmtp

%preun
%_remove_install_info %{name}.info
if [ $1 = 0 ]; then
        update-alternatives --remove sendmail-command %{_bindir}/msmtp
fi

%clean
rm -rf %{buildroot}

%files -f %name.lang
%defattr(-, root, root, 0755)
%doc README THANKS NEWS COPYING AUTHORS doc/msmtp.pdf doc/msmtprc-user.example
%doc doc/msmtp.html doc/Mutt+msmtp.txt doc/msmtprc-system.example scripts/msmtpqueue
%config(noreplace) %{_sysconfdir}/msmtprc
%{_bindir}/*
%{_mandir}/man1/*
%{_infodir}/*


%changelog
* Thu Mar 03 2011 jquelin <jquelin> 1.4.21-1.mga1
+ Revision: 63302
- mageia rebuild
- imported package msmtp


* Sat Aug 07 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.4.21-1mdv2011.0
+ Revision: 567272
- update to 1.4.21
- drop patch0, fixed upstream

* Mon Apr 05 2010 Eugeni Dodonov <eugeni@mandriva.com> 1.4.20-2mdv2010.1
+ Revision: 531865
- P0: properly handle subjectAltNames with openssl 1.0.0.
- Rebuild for new openssl

* Tue Mar 23 2010 Sandro Cazzaniga <kharec@mandriva.org> 1.4.20-1mdv2010.1
+ Revision: 526794
- update msmtp to 1.4.20

* Tue Nov 17 2009 Oden Eriksson <oeriksson@mandriva.com> 1.4.19-1mdv2010.1
+ Revision: 466865
- 1.4.19 (fixes CVE-2009-3942)

* Tue Sep 22 2009 Michael Scherer <misc@mandriva.org> 1.4.18-2mdv2010.0
+ Revision: 447268
- fix link for sendmail, correct bug #53895

* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 1.4.18-1mdv2010.0
+ Revision: 445287
- update to new version 1.4.18

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 1.4.17-2mdv2010.0
+ Revision: 440162
- rebuild

* Sun Jan 04 2009 Jérôme Soyer <saispo@mandriva.org> 1.4.17-1mdv2009.1
+ Revision: 324877
- update to new version 1.4.17

* Mon Jul 28 2008 Funda Wang <fwang@mandriva.org> 1.4.16-1mdv2009.0
+ Revision: 250777
- update to new version 1.4.16

* Sun Jun 08 2008 Oden Eriksson <oeriksson@mandriva.com> 1.4.15-1mdv2009.0
+ Revision: 216818
- 1.4.15

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 27 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.13-1mdv2008.0
+ Revision: 72093
- 1.4.13
- the license was changed to GPLv3

* Tue Jul 10 2007 Oden Eriksson <oeriksson@mandriva.com> 1.4.12-1mdv2008.0
+ Revision: 50934
- 1.4.12

* Thu May 03 2007 Michael Scherer <misc@mandriva.org> 1.4.11-1mdv2008.0
+ Revision: 21504
- update to 1.4.11


* Mon Jan 22 2007 Lenny Cartier <lenny@mandriva.com> 1.4.10-1mdv2007.0
+ Revision: 111833
- Update to 1.4.10
- Update to 1.4.9

  + Lev Givon <lev@mandriva.org>
    - Import msmtp

* Fri Aug 25 2006 Lenny Cartier <lenny@mandriva.com> 1.4.7-1mdv2007.0
- 1.4.7

* Wed Jun 21 2006 Lenny Cartier <lenny@mandriva.com> 1.4.6-1mdv2007.0
- 1.4.6

* Tue Jun 06 2006 Luca Berra <bluca@vodka.it> 1.4.5-2mdv2007.0
- remove alternative for man page

* Tue Jan 31 2006 Jerome Soyer <saispo@mandriva.org> 1.4.5-1mdk
- New release 1.4.5

* Wed Aug 17 2005 Lenny Cartier <lenny@mandriva.com> 1.4.4-1mdk
- 1.4.4

* Fri Jul 22 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.3-2mdk 
- fix alternative for man page (Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr>)

* Thu Jul 21 2005 Lenny Cartier <lenny@mandriva.com> 1.4.3-1mdk
- 1.4.3

* Tue Jul 19 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.1-3mdk 
- complete sendmail-command alternative

* Fri Jul 01 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.4.1-2mdk 
- spec clneaup
- provides sendmail-command
- sendmail-command alternative

* Tue May 31 2005 Lenny Cartier <lenny@mandriva.com> 1.4.1-1mdk
- 1.4.1

* Thu May 19 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.4.0-2mdk
- add missing update-alternatives
- add docs
- add system config file
- use mkrel
- fix openssl-devel version requirement (thanks to Lev Givon)

* Wed May 18 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.4.0-1mdk
- from Lev Givon <lev@columbia.edu> :
	- Adapt Fedora spec for Mandrake
	- Built with OpenSSL

* Wed Nov 24 2004 Taylor Stearns <taylor@haleph.com> - 1.2.4-2.h
- Rebuilt for Fedora Core 3
- Switched from OpenSSL to GnuTLS

